Page MenuHomePhabricator

replica.my.cnf creation broken
Closed, ResolvedPublic

Description

This is done by replica-addusers.pl file, which apparently depends on a bunch of unpuppetized stuff on the labstore1001 host, which no longer exists.

Event Timeline

Magnus created this task.Jul 1 2015, 2:58 PM
Magnus assigned this task to yuvipanda.
Magnus raised the priority of this task from to Needs Triage.
Magnus updated the task description. (Show Details)
Magnus added a project: Cloud-VPS.
Magnus added a subscriber: Magnus.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJul 1 2015, 2:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Caused partially by T104476. You can use another tool's credentials in the meantime - I hope to have the situation resolved shortly.

yuvipanda renamed this task from Add replica.my.cnf to pagepile tool to replica.my.cnf creation broken.Jul 1 2015, 6:42 PM
yuvipanda triaged this task as High priority.
yuvipanda updated the task description. (Show Details)
yuvipanda set Security to None.
jeremyb added a subscriber: jeremyb.Jul 1 2015, 7:31 PM

This turned into a rewrite of the tool, stand by.

yuvipanda moved this task from To Do to Doing on the Labs-Sprint-105 board.Jul 6 2015, 6:14 PM
jcrespo added a parent task: Restricted Task.Jul 6 2015, 7:31 PM

Three weeks in, and still broken? Just created a new tool, do I need to use another tool's credentials yet again?

(did a manual run just now, should have it for new tools atm).

Disruption due to wikimania + current priority being getting cross DC backups of NFS running so we don't have a catastrophic 9day data loss again... I'll get to this ASAP - apologies for the inconveniences.

Ah. I just had my tools account created today, and was so confused when I didn't have these credentials that are referenced everywhere. No hurries - super low priority for me, since I don't need it for quite some time - but if this is going to broken for a while longer, please add me to your next manual run? Thanks in advance!

Change 223564 had a related patch set uploaded (by Yuvipanda):
labstore: Rewrite of replica-addusers.pl

https://gerrit.wikimedia.org/r/223564

Change 223564 merged by Yuvipanda:
labstore: Rewrite of replica-addusers.pl

https://gerrit.wikimedia.org/r/223564

scfc added a subscriber: scfc.Jul 28 2015, 2:55 AM

(The rewrite so far only covers service group users ("tool accounts"), for human users this is not fixed yet and this is known, so no need for reports here :-).)

Change 227413 had a related patch set uploaded (by Yuvipanda):
labstore: Followup to I90dc98401b89e769fa058943e3714e383dfe25ea

https://gerrit.wikimedia.org/r/227413

Change 227413 merged by Yuvipanda:
labstore: Followup to I90dc98401b89e769fa058943e3714e383dfe25ea

https://gerrit.wikimedia.org/r/227413

Change 227420 had a related patch set uploaded (by Yuvipanda):
labstore: Daemonize create-dbusers

https://gerrit.wikimedia.org/r/227420

Change 227420 merged by Yuvipanda:
labstore: Daemonize create-dbusers

https://gerrit.wikimedia.org/r/227420

So it's mostly fixed for tool accounts now \o/

Change 227915 had a related patch set uploaded (by Yuvipanda):
labstore: Make create-dbusers create users for users too

https://gerrit.wikimedia.org/r/227915

Change 227915 merged by Yuvipanda:
labstore: Make create-dbusers create users for users too

https://gerrit.wikimedia.org/r/227915

yuvipanda closed this task as Resolved.Jul 30 2015, 8:05 AM
yuvipanda moved this task from Code Review / Blocked to Done on the Labs-Sprint-107 board.

It's also fixed for user accounts now, and monitoring has been set up as well.

Let me know if it doesn't work again?